Get auto-deploy status
GET
/deployments/{id}/auto-deploy
const url = 'https://example.com/deployments/example/auto-deploy';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/deployments/example/auto-deploy \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
appInstalled
required
boolean
branch
required
string | null
enabled
required
boolean
paths
required
Array<string>
key
additional properties
Example generated
{ "appInstalled": true, "branch": "example", "enabled": true, "paths": [ "example" ]}